# Copyright 1999-2015. Parallels IP Holdings GmbH. All Rights Reserved.
package PreMigrationMessages;

use strict;
use warnings;

our %MESSAGES = (
  'DISKSPACE' => {
    'message' => '{diskspace} GB is consumed by user data (estimate)',
  },
  'MAILQUOTA_IS_APPROXIMATED' => {
    'message' => "site users' mail quota will be set to the value of total disk quota",
    'resolution' => "in Parallels Plesk Panel, mail quota is a separate setting. When migrating site users, PPCPL user's total disk quota will be used as approximation for mail quota"
  },
  'NAMED_NOT_RUNNING' => {
    'message' => "DNS zones migration is not possible because 'named' service is stopped",
    'resolution' => "please start the service if DNS zones migration is desired",
  },
  'APACHE_UID_UNKNOWN' => {
    'message' => "unable to determine Apache uid/gid necessary for proper file permissions transfer",
    'resolution' => "please contact support for details",
  },
  'DB_USER_ADMIN' => {
    'message' => "DB user name 'admin' is prohibited in Parallels Plesk Panel",
    'resolution' => "you may rename this user manually, or it will be renamed automatically during migration",
  },
  'DB_RESELLER_ADMIN' => {
    'message' => "reseller can't have name 'admin' in Parallels Plesk Panel",
    'resolution' => "you may rename this reseller manually, or it will be renamed automatically during migration",
  },

);
